package tests;

import java.io.BufferedReader;
import java.io.InputStreamReader;

import suicideChess.*;
import suicideChess.Square.NotAValidSquare;

/**
 * @author djib
 * 
 * The purpose of this file is to test the Moves.java class
 * 
 * $LastChangedDate$
 * $LastChangedRevision$
 * $LastChangedBy$
 */

public class TestMoves {

	public static void main(String[] args) {
		BufferedReader moveInput = new BufferedReader(new InputStreamReader(System.in));
		
		while (true) {
			try {
				String move = moveInput.readLine();
				//(new MoveTest(move)).display();
				System.out.println((new BitBoard().squareToBitboardSquare(new Square(move))));
				//new SquareTest(move).display();
				//System.out.println(new Square(move));
			} catch (Exception err) {
				System.out.println(err);
				break;
	        }
		}
	}
}

class MoveTest extends Move {
	public MoveTest(String move) throws NotAValidMoveException, NotAValidSquare {
		super(move);
	}
	public void display() {
		System.out.println(" ");
		System.out.println("==== Move  ====");
		System.out.println("From square:"+fromSquare());
		System.out.println("To square:  "+toSquare());
		System.out.println((isPromotionMove() ? "Promotion:   "+getPromotionPiece() : "No Promotion"));
		System.out.println("===============");
		System.out.println(" ");
		System.out.println(" ");
	}
}

class SquareTest extends Square {
	public SquareTest(String square) throws NotAValidSquare {
		super(square);
	}
	public void display() {
		System.out.println(" ");
		System.out.println("==== Square ====");	
		System.out.println("Rank:   "+getRank());
		System.out.println("File:   "+getFile());
		System.out.println("FileNb: "+getFileNb());
		System.out.println("===============");
		System.out.println(" ");
		System.out.println(" ");
	}		
}